# Class BaseEmphasisMark`Abstract`

#### Hierarchy (view full)

- XmlComponent
  - BaseEmphasisMark
    - EmphasisMark
    - DotEmphasisMark

- Defined in file/paragraph/run/emphasis-mark.ts:7

#####
Index

### Methods

addChildElement
prepForXml

##
Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - child: string | XmlComponent

  #### Returns XmlComponent

  #### Deprecated

  Do not use this method. It is only used internally by the library. It will be removed in a future version.

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:48

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20